Name:           nde-panel
Summary:        Main panel bar for Nde desktop suite
Version:        0.0.1
Release:        209.1%{?dist}
License:        LGPLv2+ 
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(nde) >= 0.0.1
BuildRequires: pkgconfig(nde-globalkeys) >= 0.0.1-8
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-damage)
BuildRequires: pkgconfig(xcb-xkb)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: pkgconfig(sysstat-qt5)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(dbusmenu-qt5)
BuildRequires: kf5-kwindowsystem-devel >= 5.5.0
BuildRequires: kf5-kguiaddons-devel >= 5.5.0
BuildRequires: kf5-solid-devel >= 5.5.0
BuildRequires: desktop-file-utils
BuildRequires: lm_sensors-devel
BuildRequires: nde-lib-devel >= 0.0.1-18
BuildRequires: nde-qtxdg-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXrender-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libXcursor-devel
BuildRequires: libXtst-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-keysyms-devel
BuildRequires: xcb-util-image-devel
BuildRequires: xcb-util-renderutil-devel
BuildRequires: xcb-util-wm-devel
BuildRequires: xcb-util-devel

Requires: lxmenu-data
Requires: nde-lib >= 0.0.1-15
Requires: nde-qtxdg
Requires: nde-networkmanager
Requires: nde-systemsettings
Requires: stacer
Requires: nde-themes >= 0.0.1-49

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%package l10n
Summary:        Translations for nde-panel
Requires:       nde-panel
%description l10n
This package provides translations for the nde-panel package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} \
    -DPULL_TRANSLATIONS=NO \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

for desktop in %{buildroot}/%{_datadir}/nde/nde-panel/*.desktop; do
    # Exclude category as been Service
    desktop-file-edit --remove-category=Nde --remove-only-show-in=Nde --add-only-show-in=X-Nde ${desktop}
done

%find_lang nde-panel --with-qt
%find_lang colorpicker --with-qt
%find_lang cpuload --with-qt
%find_lang desktopswitch --with-qt
%find_lang directorymenu --with-qt
%find_lang kbindicator --with-qt
%find_lang mainmenu --with-qt
%find_lang mount --with-qt
%find_lang networkmonitor --with-qt
%find_lang quicklaunch --with-qt
%find_lang sensors --with-qt
%find_lang showdesktop --with-qt
%find_lang spacer --with-qt
%find_lang statusnotifier --with-qt
%find_lang sysstat --with-qt
%find_lang taskbar --with-qt
%find_lang tray --with-qt
%find_lang volume --with-qt
%find_lang worldclock --with-qt
%find_lang notificationbar --with-qt

%files
%{_bindir}/nde-panel
%{_bindir}/nde-xembedsniproxy
%dir %{_libdir}/nde-panel
%{_libdir}/nde-panel/*.so
%{_datadir}/nde
%{_mandir}/man1/nde-panel*
%{_sysconfdir}/xdg/autostart/nde-panel.desktop
%{_sysconfdir}/xdg/autostart/nde-xembedsniproxy.desktop
%{_sysconfdir}/xdg/menus/nde-applications.menu
%{_datadir}/desktop-directories/nde-leave.directory
%{_datadir}/desktop-directories/nde-settings.directory

%files devel
%dir %{_includedir}/nde
%{_includedir}/nde/*

%files l10n -f nde-panel.lang -f colorpicker.lang -f cpuload.lang -f desktopswitch.lang -f directorymenu.lang -f kbindicator.lang -f mainmenu.lang -f mount.lang -f networkmonitor.lang -f quicklaunch.lang -f sensors.lang -f showdesktop.lang -f spacer.lang -f statusnotifier.lang -f sysstat.lang -f taskbar.lang -f tray.lang -f volume.lang -f worldclock.lang -f notificationbar.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-panel

%changelog
* Tue Dec 31 2024 He leilei <he.leilei@gd-linux.com>- 0.0.1-209.1
- fix build error 

* Fri Nov 05 2021 Wang Jun <wang.jun@zte.com.cn>- 0.0.1-209
- 修复拖动带有空格的文件名带任务栏无法启动问题

* Thu Nov 04 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-208
- 添加频率限制

* Tue Nov 2 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-207
- 修改壁纸获取可能为空的情况

* Tue Nov 02 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-206
- 每次点击日历触发返回今天

* Mon Nov 1 2021 luo junchao<luo.junchao@gd-linux.com>- 0.0.1-205
- 修复nde-api置底置顶窗口后显示菜单按钮无法还原窗口的问题

* Fri Oct 29 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-204
- 优化任务栏末端按钮点击与hover交互逻辑功能

* Thu Oct 28 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-203
- 优化任务栏末端按钮桌面预览功能

* Wed Oct 27 2021 Wang jun <wang.jun@gd-linux.cn> - 0.0.1-202
- 修复将大文件拖入任务栏会使系统卡顿问题

* Wed Oct 27 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-201
- 任务栏末端按钮添加桌面预览功能

* Tue Oct 26 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-200
- 修复开机右下角花屏的问题

* Tue Oct 26 2021 Wang jun <wang.jun@zte.com.cn>- 0.0.1-199
- 修复部分文件拖入任务栏后不显示图标

* Thu Oct 21 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-198
- 获取软件预览图片函数卡顿优化

* Tue Oct 19 2021 Li shengsong <li.shengsong@zte.com.cn>- 0.0.1-197
- 修复应用卸载后，快速启动栏残留问题(例如vlc)

* Mon Oct 18 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-196
- revert "函数限制频率防止卡顿"

* Sat Oct 16 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-195
- 处理sssd_be进程被阻塞时，开始菜单不能打开的问题

* Fri Oct 15 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-194
- 处理任务栏应用按钮名称图片更新不及时的问题

* Thu Oct 14 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-193
- 优化截图

* Sat Oct 9 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-192
- 注释应用使用频率统计相关接口 

* Tue Sep 28 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-191
- 函数限制频率防止卡顿

* Sun Sep 26 2021 Du Qiang <du.qiang@gd-linux.cn> - 0.0.1-190
- 解决win+数字键任务栏应用弹窗不对应的问题

* Thu Sep 23 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-189
- 修复初始路径~/.config/nde-fileman/nde不存在时，没检测到壁纸切换的问题

* Wed Sep 22 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-188
- 优化日历不刷新问题

* Sat Sep 18 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-187
- 处理反复添加按钮顺序错乱问题

* Fri Sep 17 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-186
- 处理低分辨率日历，多任务视图下标跳转问题.

* Tue Sep 07 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-185
- 修复每次升级或重装nde-panel，个人设置都被覆盖问题(#4110)

* Thu Sep 02 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-184
- 固定控件大小

* Thu Aug 26 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-183
- 修改接口调用新版本软件中心

* Wed Aug 25 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-182
- 统一获取特效开关的接口

* Mon Aug 23 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-181
- 修复模糊背景有白色边框

* Mon Aug 23 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-180
- 修复控制中心任务栏设置小托盘显示或隐藏时任务栏崩溃问题

* Fri Aug 20 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-179
- 任务栏弹出菜单统一使用不透明显示

* Fri Aug 20 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-178
- 多任务视图刷新参数,优化日历布局、圆角

* Thu Aug 19 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-177
- 消息推送界面超时5s后自动关闭

* Thu Aug 19 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-176
- 优化多任务视图

* Fri Aug 13 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-175
- 修复模糊背景图片切换不生效的bug

* Wed Aug 11 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-174
- 显示桌面样式调整

* Mon Aug 09 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-173
- 重构多任务视图

* Wed Aug 4 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-172
- 修复任务栏图标模式下并且不在底部的显示问题

* Wed Aug 4 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-171
- 优化开始菜单代码

* Tue Aug 03 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-170
- 月份更新时及时绘制，透明开始菜单滑动区

* Mon Aug 02 2021 Li Junchao <luo.junchao@gd-linux.cn>- 0.0.1-169
- 修复ICenter托盘异常

* Wed Jul 28 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-168
- 处理空指针,去除之前主题代码

* Wed Jul 28 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-167
- 适应日历控件为使用qss模式

* Fri Jul 23 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-166
- 重构V2主题设置代码

* Mon Jul 19 2021 Wang jun <Wang.jun@zte.com.cn> - 0.0.1-165
- 调出通知弹窗，设置弹窗非焦点

* Wed Jul 14 2021 li shengsong <li.shengsong@zte.com.cn> - 0.0.1-164
- 实现文件拖拽到任务栏自启功能

* Tue Jul 13 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-163
- 添加V2主题相关代码

* Thu Jul 1 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-162
- 开始菜单分类切换和字母切换提示

* Wed Jun 30 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-161
- 修复快速启动栏在桌面desktop文件被删除（该启动项从桌面添加到快速启动栏的）后打不开应用的问题

* Wed Jun 30 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-160
- 开始菜单分类切换和字母切换提示

* Tue Jun 29 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-159
- 开始菜单切换导致闪退问题

* Thu Jun 24 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-158
- 修复多任务视图选中的桌面与显示的当前桌面不一致问题(#3702)

* Thu Jun 24 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-157
- 任务栏获取到应用信息，显示窗口

* Thu Jun 17 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-156
- 窗口设置为Qt::Tool时隐藏任务栏图标

* Fri Jun 11 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-155
- 文件管理器、终端的图标及时更换

* Mon Jun 07 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-154
- 修改任务栏“快速启动”图标随任务栏大小改变而改变

* Thu May 27 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-153
- 云桌面上，控制中心-关闭显示通知栏,重启系统后，桌面任务栏显示了通知栏(#3684)

* Mon May 24 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-152
- 屏蔽睡眠功能

* Fri May 21 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-151
- 添加任务栏具备设置双屏扩展时的显示方式接口(2625)

* Thu May 20 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-150
- 取消通知消息弹出窗口，与云推送的弹出窗口冲突

* Tue May 18 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-149
- 修复任务栏大小模式改变时图标没有联动改变问题

* Tue May 18 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-148
- 添加任务栏大小模式接口

* Fri May 14 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-147
- 添加任务栏上的插件显示与隐藏接口

* Thu May 13 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-146
- 添加设置开始菜单常用按钮的显示与隐藏接口

* Tue May 11 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-145
- 修复小托盘无法监测系统图标显示或隐藏问题

* Tue May 11 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-144
- 修复任务栏修改位置、平铺模式没有和控制中心任务栏模块联动问题

* Mon May 10 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-143
- 显示或隐藏小托盘上的系统图标

* Fri Apr 30 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-142
- 修复开始菜单最大化后，添加应用到常用，在控制中心任务栏中查看，该应用的开关为关闭状态(#3637) 

* Fri Apr 30 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-141
- 屏蔽用户切换按钮

* Thu Apr 29 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-140
- 修复控制中心中，自动隐藏任务栏开关开启再关闭，桌面上任务栏不显示(#3638)

* Thu Apr 29 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-139
- 控制中心任务栏中开启开始菜单全屏显示后，开始菜单显示异常(#3635)

* Tue Apr 27 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-138
- 修改显示桌面快捷键接口

* Fri Apr 23 2021 Wu shangmin <wu.shangmin@zte.com.cn> - 0.0.1-137
- 添加控制中心任务栏模块的通信接口

* Wed Apr 21 2021 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-136
- 打开用户切换按钮

* Tue Apr 13 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-135
- 所有版本屏蔽用户切换按钮

* Mon Apr 12 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-134
- 开始菜单电源按钮按需要隐藏或显示

* Fri Apr 09 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-133
- 屏蔽睡眠

* Wed Apr 07 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-132
- 去除开始菜单的重复项

* Tue Mar 30 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-131
- 添加各类菜单圆角

* Tue Mar 23 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-130
- 修复任务栏图标拖动问题，修复开始菜单部分应用图标没刷新的问题。

* Thu Mar 18 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-129
- 修复消息弹出窗口在锁屏中弹出的问题。

* Tue Mar 16 2021 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-128
- 修改节假日参数路径

* Fri Feb 26 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-127
- 修改开始菜单用户头像

* Thu Feb 25 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-126
- 通知栏添加弹出窗口，修复通知栏项目展开抖动的问题，代码优化 

* Wed Feb 24 2021 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-125
- 修改中午12点时间显示

* Mon Feb 22 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-124
- 右键菜单样式统一

* Wed Feb 10 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-123
- 开始菜单圆角锯齿优化

* Thu Feb 4 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-122
- 添加托盘记忆功能

* Mon Feb 1 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-121
- 通知栏添加操作按钮，去掉了一些不必要的动画代码。

* Thu Jan 28 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-120
- 修复托盘拖动不显示小托盘区域的问题

* Thu Jan 14 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-119
- 修复任务栏没有显示在主屏的bug 

* Thu Jan 7 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-118
- 修复通知栏消息点击没有反馈dbus信号（ActionInvoked）的bug

* Wed Jan 6 2021 He leilei <he.leilei@zte.com.cn>- 0.0.1-117
- 修复任务栏切换显示模式后，任务按钮排序改变的bug;修复托盘箭头图标开机不显示的问题。

* Wed Dec 30 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn>- 0.0.1-116
- 更改该桌面右下角接口 

* Tue Dec 29 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-115
- 修改控制中心为nde-systemsettings

* Thu Dec 24 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-114
- 任务栏修改为44px高度 

* Mon Dec 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-113
- 修复托盘应用未隐藏的问题

* Mon Dec 21 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-112
- 添加任务管理器依赖

* Mon Dec 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-111
- fixbug
* Mon Dec 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-110
- 修改开始菜单默认显示常用栏（有的情况下），修复任务栏未占满就换页的问题，托盘多了之后新打开的托盘默认隐藏

* Thu Dec 17 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-109
- 修复多任务视图快捷键操作的问题

* Tue Dec 15 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-108
- signals slots修改为Q_SIGNALS Q_SLOTS
- 时间显示12、24小时制

* Mon Dec 7 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-107
- 修改任务栏上应用按钮在多屏模式下会消失的问题

* Fri Dec 4 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-106
- 修改开始菜单电源菜单判断接口

* Tue Dec 1 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-105
- 修复部分代码内存没释放的问题

* Mon Nov 23 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-104
- 开始菜单在Zte版本下删除切换按钮

* Mon Nov 9 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-103
- 修复屏幕尺寸变化时，显示错位的问题

* Thu Oct 29 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-102
- 修复bug

* Wed Oct 28 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-101
- 桌面切换页面添加关闭动态效果样式

* Tue Oct 27 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-100
- 添加关闭动态效果样式

* Thu Oct 22 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-99
- 修复开始菜单在中文输入过程中按上下方向键导致的输入框卡死的问题

* Tue Oct 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-98
- 修改快速启动栏默认配置，修复应用卸载后再安装仍在常用列表的bug

* Wed Oct 14 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-97
- 修复bug

* Tue Oct 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-96
- 添加独立的常用页面

* Tue Oct 6 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-95
- 快捷键切换桌面

* Mon Sep 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-94
- 修复任务栏在平铺模式下应用铺满留有空白的问题。

* Fri Sep 18 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-93
- 修复任务栏在桌面分辨率变化后显示偏移的问题;
- 桌面切换界面背景随桌面壁纸一起变化.

* Mon Sep 7 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-92
- 多任务视图Tab快捷键选中新建按钮，其它桌面选中状态不会消失

* Wed Sep 2 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-91
- 修复任务栏所有应用最小化之后,关闭应用可能出现空白任务栏的现象.

* Wed Sep 2 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-90
- 修复托盘弹出显示问题,修复开始菜单全屏tab问题;

* Tue Sep 1 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-89
- 修复开始菜单全屏tab问题;
- 修复通知栏显示问题;
- 修复快速启动栏卸载问题;
- 添加缩略图模块,修复切换平铺模式缩略图显示问题.

* Tue Sep 1 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-88
- 多任务视图Tab快捷键可以选中新建按钮
- 处理多任务视图显示部分crossover应用会多显示一个空白应用信息

* Thu Aug 27 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-87
- 修复开始菜单默认排序错误的问题（bug#2194），字符串纠正（bug#2693）;
- 修复开始菜单等打开后任务栏会隐藏的问题（bug#2534）。

* Thu Aug 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-86
- 多任务视图Tab快捷键可以循环选中所有窗口
- 处理多任务视图显示部分crossover应用会多显示一个空白应用信息

* Mon Aug 24 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-85
- 任务栏添加平铺样式

* Fri Aug 21 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-83
- 1.修复注销或重启后常用应用消失的问题（bug#2677）;
- 2.修复拖拽应用进入快速启动栏时，部分按钮会有hover状态的问题;
- 3.添加常用应用统计dbus调用接口。

* Thu Aug 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-82
- 1.修复多任务视图获取缩略图可能模糊的问题（bug#2647）;
- 2.快速启动栏添加拖动功能，修复（bug#2634,bug#2636）。

* Thu Aug 20 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-81
- 1.修复panel在不同方位，拖动托盘图标时托盘区域不显示的问题;
- 2.修复切换分辨率时导致的开始菜单无法输入的问题。

* Tue Aug 18 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-80
- 1.修复快速启动栏固定相同应用的问题（bug#2653）;
- 2.修复多任务视图中窗口被托走，任务栏仍然显示的问题（bug#2648）;
- 3.任务栏右键点击后状态显示问题（bug#2636）;
- 4.修改多任务视图的翻译，删除无用的注释。

* Tue Aug 18 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-79
- 多任务视图快捷键操作显示区域滚动问题，使用左右快捷键可以查看所有任务窗口

* Mon Aug 17 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-78
- 1.修复关闭预览窗口时，其他预览窗口也关闭的问题（bug#2547）;
- 2.修复切换虚拟桌面后预览窗口弹出不正确的（bug#2613）。

* Thu Aug 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-77
- 添加快速启动栏和多任务视图按钮的显示隐藏切换

* Thu Aug 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-76
- 修复bug#2142，任务栏打开应用时，关闭预览窗口。

* Thu Aug 13 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-75
- 添加快速启动栏,修复任务栏在多桌面下切换的bug。

* Thu Aug 6 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-72
- 修复多任务视图关闭桌面会出现闪退问题
- 修复多任务视图不随桌面分辨率改变的问题
- 修复多任务视图键盘事件聚焦的问题
- 修复上下快捷键选择窗口滚动条不会自适应问题

* Thu Aug 6 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-69
- 修复多任务栏引起的开始菜单无法输入的问题。

* Thu Aug 6 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-68
- 修复多任务栏引起的开始菜单无法输入的问题。

* Tue Aug 4 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-66
- 修复多任务视图快捷失效的问题。

* Fri Jul 31 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-65
- 修复托盘弹出窗口在任务栏变化未隐藏的问题

* Fri Jul 31 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-64
- 开始菜单添加"control+escape"快捷键

* Thu Jul 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-63
- 多任务视图添加快捷键操作功能。

* Thu Jul 30 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-62
- 修复桌面切换界面图片显示不全的问题。

* Thu Jul 30 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-61
- 再次修改开始菜单点击win键不隐藏的问题，修复桌面切换界面与其他界面（比如开始菜单）同时显示的问题。

* Tue Jul 28 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-60
- 修复开始菜单点击win键不隐藏的问题，修复搜索时的崩溃问题。

* Mon Jul 27 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-59
- 添加win+tab,win+D和win+M快捷键

* Mon Jul 27 2020 He leilei <he.leilei@zte.com.cn>- 0.0.1-58
- 修复开始菜单在小分辨率情况下的显示问题，修复任务栏应用预览弹出不合理的问题

* Mon Jul 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn>- 0.0.1-58
- 修复日历显示时间卡顿问题

* Fri Jul 24 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-54
- 修复win+数字键唤醒窗口问题

* Thu Jul 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-52
- 修复日历显示时间卡顿问题

* Wed Jul 22 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-51
- 修复应用缩略图获取到桌面背景的问题

* Mon Jul 20 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-49
- 添加多任务视图快捷键ctrl+alt+tab显示

* Thu Jul 16 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-48
- 1.搜索时不再显示常用应用；2.修复卸载后常用应用栏仍然显示的问题；3.添加右键菜单；4.修复全屏下有图标显示不全的问题；

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-47
- 删除多任务视图在任务栏显示

* Wed Jul 15 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-46
- 修复开始菜单布局错误bug

* Wed Jul 15 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-45
- 修改开始菜单menu文件

* Mon Jul 13 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-43
- 添加常用应用

* Wed Jul 08 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-42
- 修改点击日历不显示的问题

* Mon Jul 06 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-41
- 修改任务栏方向改变后，打开的日历关闭

* Mon Jul 06 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-40
- 修复音量小部件不能及时跟随panel显示的问题

* Fri Jul 03 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-39
- 优化多任务视图显示模糊问题

* Wed Jul 01 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-38
- 修复开始菜单有重复项目的bug

* Tue Jun 30 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-37
- 修复按钮高亮时自体变黑的问题

* Tue Jun 30 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-36
- 修复按钮回车无效的问题

* Mon Jun 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-35
- 修复开始菜单背景没及时消失的问题

* Sun Jun 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-34
- 修复开始菜单背景没及时消失的问题

* Sun Jun 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-33
- 删除虚拟机下的睡眠按钮

* Wed Jun 24 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-32
- 修改了菜单栏导航策略，焦点在搜索框上时：直接按上下方向键能直接跳转到应用，焦点在应用上时，直接输入字母跳转到搜索框，同时不影响tab快捷键

* Tue Jun 23 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-31
- 添加开始菜单快捷键，虚拟机下删除睡眠，修改搜索策略。

* Fri Jun 19 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-30
- 修改全屏开始菜单出现的模式，添加按键Esc退出菜单，添加翻译

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-29
- 添加全屏开始菜单动画效果

* Thu Jun 18 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-28
- 添加全屏开始菜单，添加拖拽应用到桌面和快捷启动栏

* Tue Jun 9 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-27
- fixbug

* Tue Jun 9 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-26
- 修正开始菜单圆角不规则的问题

* Wed Jun 3 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-21
- Modify display desktop button style

* Wed Jun 3 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-20
- 修改任务栏日期显示，选择年份不更新日历界面，更新多任务视图图标，多任务视图桌面增加鼠标双击事件

* Wed Jun 3 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-19
- 修改获取图片截图内存泄露问题

* Tue Jun 2 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-18
- 增加打开缩略图的延时显示

* Tue Jun 2 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-17
- 更改多任务视图图标以及中英文提示

* Tue Jun 2 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-16
- 修复多任务视图显示BUG，日历时间显示不会随任务栏方向改变更新的问题

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-14
- 添加nde-networkmanager依赖

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-13
- 修复通知栏，开始菜单样式和翻译不生效的问题

* Thu May 28 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-12
- 修复开始菜单显示规则(nde-application.menu)

* Thu May 28 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-11
- 修改Bug：悬浮窗口三态、悬浮窗口充满时，覆盖任务栏、任务栏左右布局时，显示桌面图标不对

* Thu May 28 2020 He yinkang <he.yinkang@zte.com.cn> - 0.0.1-10
- 修改布局不更新的问题

* Wed May 27 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-9
- 修复开始菜单图标，间距等问题，隐藏通知栏未实现的功能按钮

* Tue May 26 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-8
- 修改日历显示位置，日期间隔

* Mon May 25 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-7
- 修改任务栏右键菜单栏选项和缩略图高度计算

* Sat May 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-5
- 优化多任务视图启动速度，阴影显示效果

* Fri May 22 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-4
- 日历功能界面以及多任务视图界面调整

* Fri May 22 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-3
- 修改显示桌面按钮UI和任务缩略图UI

* Thu May 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

* Wed May 20 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-3.11
- 修改日历界面

* Mon May 18 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.10
- 开始菜单添加圆角，添加开始菜单和消息栏中文英文翻译

* Mon May 18 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-3.9
- 修改多任务视图，日历界面

* Mon May 18 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3.8
- 修改任务栏预览窗口UI，并暂关闭预览窗口的弹出动画

* Fri May 15 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.7
- 修改通知栏样式，和通知栏bug，删除开始菜单中nde设置项

* Thu May 14 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.6
- 提交开始菜单代码，添加通知栏主题统一获取

* Fri May 8 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.4
- 修复通知栏消息项高度的问题

* Fri May 8 2020 He Leilei <he.leilei@zte.com.cn> - 0.14.1-3.3
- 修复通知栏显示为中文

* Thu Apr 30 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3.2
- 通知栏添加分组，添加动作响应

* Thu Apr 30 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3.1
- Modify taskbar Preview

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
